%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d


Summary:	Utility for transforming a bitmap into a scalable image
Name:		potrace
Version:	1.16
Release:	%mkrel 2
License:	GPLv2
Group:		Graphics/Utilities
URL:		http://potrace.sourceforge.net/
Source0:	http://potrace.sourceforge.net/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	pkgconfig(zlib)
Provides:	fonttracer

%description
potrace is a utility for tracing a bitmap, which means, transforming
a bitmap into a smooth, scalable image. The input is a bitmap (PBM,
PGM, PPM, or BMP format), and the output can be EPS (default),
Postscript, SVG ou PGM (for easy antialiasing). A typical use is to
create EPS files from scanned data, such as company or university logos,
handwritten notes, etc. The resulting image is not "jaggy" like a bitmap,
but smooth. It can then be rendered at any resolution.

%package -n	%{libname}
Summary:	Shared library for potrace
Group:		System/Libraries

%description -n	%{libname}
Libpotrace is the library for potrace.


%package -n	%{devname}
Summary:	Development files for lib%{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
Libpotrace is the library for potrace.

This package contains the files for developing applications which
will use libpotrace.


%prep
%setup -q
%autopatch -p1

# fix file perm
chmod -R go+rX .

%build
%configure \
	--with-libpotrace \
	--disable-static

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS COPYING ChangeLog README NEWS doc/placement.pdf
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_includedir}/potracelib.h


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.16-2.mga8
+ Revision: 1535534
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Oct 11 2019 daviddavid <daviddavid> 1.16-1.mga8
+ Revision: 1451961
- new version: 1.16

* Sun Sep 23 2018 umeabot <umeabot> 1.15-2.mga7
+ Revision: 1300354
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_build

* Sun Aug 13 2017 neoclust <neoclust> 1.15-1.mga7
+ Revision: 1140071
- New version 1.15 - Fixes CVE-2017-12067 (mga#21515)

* Fri Mar 03 2017 ns80 <ns80> 1.14-2.mga6
+ Revision: 1088565
- add patch for CVE-2016-8698 (mga#19604)

* Wed Mar 01 2017 ns80 <ns80> 1.14-1.mga6
+ Revision: 1088391
- new version 1.14 for CVE-2016-868[5-6] (mga#19604)

* Fri Feb 17 2017 ns80 <ns80> 1.13-3.mga6
+ Revision: 1086564
- add patch for CVE-2016-8685 (mga#19604)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 09 2015 luigiwalser <luigiwalser> 1.13-1.mga6
+ Revision: 909120
- 1.13

* Wed Oct 21 2015 ycantin <ycantin> 1.12-1.mga6
+ Revision: 893719
- new version 1.12
- fix Source url
- remove patch (fixed upstream)
- fix file list

* Wed Apr 08 2015 luigiwalser <luigiwalser> 1.11-7.mga5
+ Revision: 819923
- add patch from opensuse to fix CVE-2013-7437

* Wed Oct 15 2014 umeabot <umeabot> 1.11-6.mga5
+ Revision: 744455
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.11-5.mga5
+ Revision: 727931
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.11-4.mga5
+ Revision: 687746
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 1.11-3.mga4
+ Revision: 545761
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 doktor5000 <doktor5000> 1.11-2.mga4
+ Revision: 501769
- enabled building libpotrace, headers are needed for updated uniconvertor
- added libification, removed libtool archives, disabled static libraries

* Fri Sep 27 2013 sander85 <sander85> 1.11-1.mga4
+ Revision: 488063
- New version: 1.11

* Sun Jan 13 2013 umeabot <umeabot> 1.10-3.mga3
+ Revision: 378132
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sat Dec 08 2012 malo <malo> 1.10-2.mga3
+ Revision: 328951
- update RPM group

* Fri Sep 02 2011 kharec <kharec> 1.10-1.mga2
+ Revision: 137913
- New version 1.10

* Thu Apr 14 2011 tv <tv> 1.9-1.mga1
+ Revision: 85178
- new release

* Mon Jan 17 2011 pterjan <pterjan> 1.8-6.mga1
+ Revision: 21154
- imported package potrace


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.8-6mdv2011.0
+ Revision: 607196
- rebuild

* Mon Feb 01 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.8-5mdv2010.1
+ Revision: 499132
- fix licence and rpmlint warning

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.8-4mdv2010.0
+ Revision: 426773
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.8-3mdv2009.0
+ Revision: 225027
- rebuild

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 1.8-2mdv2008.1
+ Revision: 179256
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 08 2007 Adam Williamson <awilliamson@mandriva.org> 1.8-1mdv2008.0
+ Revision: 37054
- new release 1.8; rebuild for new era


* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.7-3mdk
- Rebuild

* Wed Aug 10 2005 Abel Cheung <deaddog@mandriva.org> 1.7-2mdk
- Rebuild

* Mon Mar 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.7-1mdk
- 1.7

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 1.5-3mdk
- Provides "fonttracer" (autotrace has same function)

* Sat Dec 11 2004 Abel Cheung <deaddog@mandrake.org> 1.5-2mdk
- Fix file permission

* Fri Dec 10 2004 Abel Cheung <deaddog@mandrake.org> 1.5-1mdk
- New version
- Doesn't need ncompress now

* Tue Jun 22 2004 Blaise Tramier <meles@free.fr> 1.4-1mdk
- first mdk package.

